﻿/*ngMaterial-tooltip.........Start*/
rt-tooltip.rt-panel.rt-tooltip {
    background-color: var(--color-BgBlack);
    /*font-size: 0.875rem;*/
    font-size: 13px;
    font-family: var(--font-1);
    /*padding: 2px 0px;*/
    overflow: visible;
}

.rt-panel-outer-wrapper, .rt-panel-is-showing .rt-panel-inner-wrapper, rt-tooltip.rt-panel.rt-tooltip {
    z-index: 9999 !important;
}

    rt-tooltip.rt-panel.rt-tooltip .backdrop {
        display: none !important;
    }

    rt-tooltip.rt-panel.rt-tooltip[rt-direction].add_arrow:after {
        position: absolute;
        content: " ";
        width: 0;
        height: 0;
        border-style: solid;
    }

    rt-tooltip.rt-panel.rt-tooltip[rt-direction="top"].add_arrow:after {
        top: 100%;
        left: 50%;
        margin-left: -6px;
        border-width: 6px;
        border-color: var(--color-BodBlack) var(--color-BodBlack) var(--color-BodRedErrorText) var(--color-BodBlack);
    }

    rt-tooltip.rt-panel.rt-tooltip[rt-direction="right"].add_arrow:after {
        top: 50%;
        right: 100%;
        left: auto;
        margin-top: -6px;
        border-width: 6px;
        border-color: transparent var(--color-BodBlack) var(--color-BodRedErrorText) var(--color-BodOrgOffWhite);
    }

    rt-tooltip.rt-panel.rt-tooltip[rt-direction="bottom"].add_arrow:after {
        top: auto;
        left: 50%;
        margin-left: -6px;
        border-width: 6px;
        border-color: var(--color-BodOrgOffWhite) var(--color-BodBlack) var(--color-BodBlack) var(--color-BodBlack);
        bottom: 100%;
    }

    rt-tooltip.rt-panel.rt-tooltip[rt-direction="left"].add_arrow:after {
        top: 50%;
        left: 100%;
        margin-top: -6px;
        border-width: 6px;
        border-color: transparent var(--color-BodBlack) var(--color-BodRedErrorText) var(--color-BodBlack);
    }
    /*ngMaterial-tooltipster style...............Start*/
    rt-tooltip.rt-panel.rt-tooltip.tooltipster_ui {
        font-size: 11px;
        padding: 4px 8px;
        line-height: 19px;
        white-space: pre;
        height: auto;
        border-radius: 2px;
        box-shadow: 1px 1px 2px var(--color-DropBoxShadowx);
        background: var(--color-BgBlack)
    }

    rt-tooltip.rt-panel.rt-tooltip.tooltip-dark {
        padding: 4px 8px;
        font-size: 11px;
        line-height: 19px;
        background: var(--color-BgBlack);
        color: var(--color-TextOrgWhite);
        border-radius: 2px;
        box-shadow: 1px 1px 2px var(--color-DropBoxShadowx);
    }

    rt-tooltip.rt-panel.rt-tooltip.tooltip-light {
        background-color: var(--color-BgTertiaryGray);
        opacity: 1;
    }

    rt-tooltip.rt-panel.rt-tooltip[rt-direction="top"].add_arrow:after {
        border-color: var(--color-BodBlack) var(--color-BodBlack) var(--color-BodRedErrorText) var(--color-BodBlack);
    }

    rt-tooltip.rt-panel.rt-tooltip[rt-direction="right"].add_arrow:after {
        border-color: transparent var(--color-BodBlack) var(--color-BodRedErrorText) var(--color-BodOrgOffWhite);
    }

    rt-tooltip.rt-panel.rt-tooltip[rt-direction="bottom"].add_arrow:after {
        border-color: var(--color-BodOrgOffWhite) var(--color-BodBlack) var(--color-BodBlack) var(--color-BodBlack);
    }

    rt-tooltip.rt-panel.rt-tooltip[rt-direction="left"].add_arrow:after {
        border-color: transparent var(--color-BodBlack) var(--color-BodRedErrorText) var(--color-BodBlack);
    }
/*ngMaterial-tooltipster style...............End*/
/*ngMaterial-tooltip.........End*/

rt-tooltip {
    height: auto !important;
    max-width: 650px !important;
    overflow: visible !important;
    white-space: normal !important;
    word-break: break-all;
}

    rt-tooltip .rt-content {
        height: auto !important;
        max-width: 650px !important;
    }

.Custom_tooltip {
    left: 50% !important;
    transition: none !important;
    transition-duration: unset !important;
    transform: none !important;
}
/*focus multiple popup command bacdrop.................start*/
.rt-dialog-backdrop {
    z-index: 99978;
}

    .rt-dialog-backdrop ~ .rt-dialog-backdrop {
        z-index: 99979;
    }

rt-backdrop.rt-dialog-backdrop {
    z-index: 99978;
}

.rt-dialog-container {
    z-index: 99978;
}

    .rt-dialog-container ~ .rt-dialog-container {
        z-index: 99980;
    }

.rt-select-menu-container {
    z-index: 99978 !important;
}
/*focus multiple popup command bacdrop.................end*/
